<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('supplies_unit', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('supplies_id');
            $table->unsignedBigInteger('unit_id');
            $table->string('valor')->default('');
            $table->timestamps();
            $table->foreign('supplies_id')->references('id')->on('supplies');
            $table->foreign('unit_id')->references('id')->on('units');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('supplies_unit');
    }
};
